<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.ClientAnchor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.ClientAnchor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/ClientAnchor.html"
               target="_top">Frames</a></li>
        <li><a href="ClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.ClientAnchor" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.ClientAnchor
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                   title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a></span></code>
                                <div class="block">A client anchor is attached to an excel worksheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFComment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getClientAnchor--">getClientAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;storageId,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                   title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Drawing.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></span>(int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;col1,
                                int&nbsp;row1,
                                int&nbsp;col2,
                                int&nbsp;row2)</code>
                                <div class="block">Creates a new client anchor and sets the top-left and bottom-right
                                    coordinates of the anchor.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createClientAnchor--">createClientAnchor</a></span>()</code>
                                <div class="block">Creates a ClientAnchor.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Comment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Comment.html#getClientAnchor--">getClientAnchor</a></span>()</code>
                                <div class="block">Return defines position of this anchor in the sheet.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Picture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Picture.html#getClientAnchor--">getClientAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Picture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Picture.html#getPreferredSize--">getPreferredSize</a></span>()</code>
                                <div class="block">Calculate the preferred size for this picture.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Picture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Picture.html#getPreferredSize-double-double-">getPreferredSize</a></span>(double&nbsp;scaleX,
                                double&nbsp;scaleY)</code>
                                <div class="block">Calculate the preferred size for this picture.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                    title="interface in org.apache.poi.ss.usermodel">Comment</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Drawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Creates a comment.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                    title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Drawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;storageId,
                                int&nbsp;pictureIndex)</code>
                                <div class="block">Adds a new OLE Package Shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                    title="interface in org.apache.poi.ss.usermodel">Picture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Drawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;pictureIndex)</code>
                                <div class="block">Creates a picture.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                   title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></span>(int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;col1,
                                int&nbsp;row1,
                                int&nbsp;col2,
                                int&nbsp;row2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html#createClientAnchor--">createClientAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                    title="interface in org.apache.poi.ss.usermodel">Comment</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                    title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;storageId,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFPicture.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFPicture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                   title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></span></code>
                                <div class="block">A client anchor is attached to an excel worksheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFComment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getClientAnchor--">getClientAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFComment</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Creates a comment.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFChart</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html#createChart-org.apache.poi.ss.usermodel.ClientAnchor-">createChart</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Creates a chart.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;storageId,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                int&nbsp;pictureIndex)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/ClientAnchor.html"
               target="_top">Frames</a></li>
        <li><a href="ClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
